#!/bin/bash

package=jAudio0.4
version=-cvs-06052010

progname=$0

source ../../cascade-make/lib/cascade-lib.bash GEXT_MUSICIR ../.. $*

prefix=$GEXT_MUSICIR_INSTALLED


opt_run_untar $force_untar $auto_untar $package $version
if [ -d "$package" ] ; then
  mv "$package" "$package$version"
fi

if [ $compile = "1" ] ; then
  cd $package$version 
  classpath=".:jAudioFeatureExtractor:tritonus_remaining-0.3.6.jar:tritonus_share-0.3.6.jar:xerces.jar:jhall.jar:mp3plugin.jar" 

  auxfiles=`ls jAudioFeatureExtractor/AudioFeatures/*.java`

  which cygpath 2>&1 > /dev/null
  if [ $? = "0" ] ; then
    classpath=`cygpath -pw "$classpath"`
  fi

  for auxfile in $auxfiles ; do

    which cygpath 2>&1 > /dev/null
    if [ $? = "0" ] ; then
      auxfile=`cygpath -w "$auxfile"`
    fi

    echo "      Compiling Java source file '$auxfile'"
    javac -classpath "$classpath" $auxfiles
  done

  javac -classpath "$classpath" jAudioFE.java

  cd ..
  
fi

if [ $install = "1" ] ; then
  cd $package$version 

  /bin/rm -f jaudio.jar

  jarcp=`ls *.jar | tr '\n' ' '`

  echo "Manifest-Version: 1.0" > Manifest.txt && \
  echo "Main-Class: jAudioFE" >> Manifest.txt && \
  echo "Class-Path: $jarcp plugin" >> Manifest.txt

  class_files=`find . -name "*.class" -print`

  which cygpath 2>&1 >/dev/null
  if [ $? = "0" ] ; then
    class_files=`cygpath -w $class_files`
  fi

  echo "      Bundling Java classes (and related files) into jaudio.jar"

  jar cfm jaudio.jar Manifest.txt $class_files \
     jAudioFeatureExtractor org \
     features \
     help JavaHelpSearch \
     Map.jhm Sample.hs SampleIndex.xml SampleTOC.xml \
  && \
  /bin/cp *.jar $GEXT_MUSICIR/lib/java/. \

  echo "Configuring features.xml"

  plugin_home="$GEXT_MUSICIR/lib/java"
  which cygpath 2>&1 >/dev/null
  if [ $? = "0" ] ; then
    plugin_home=`cygpath -w "$plugin_home"`
    plugin_home=`echo "$plugin_home" | sed 's@\\\\@\\\\\\\\@g'`
  fi


  cat ../etc/features.xml.in \
    | sed -e "s@\*\*pluginhome\*\*@$plugin_home@g" \
    > $GEXT_MUSICIR/lib/java/features.xml

  if [ ! -d "$GEXT_MUSICIR/lib/java/plugin" ] ; then
    echo "Creating $GEXT_MUSICIR/lib/java/plugin"
    mkdir "$GEXT_MUSICIR/lib/java/plugin"
  fi

  cd ..
fi

#opt_run_make $clean     $package $version "clean"
#opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
